%define anolis_release 1
%undefine _package_note_flags

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-ounit
Version:        2.2.6
Release:        %{anolis_release}%{?dist}
Summary:        Unit test framework for OCaml

License:        MIT
URL:            https://github.com/gildor478/ounit
Source0:        %{url}/releases/download/v%{version}/ounit-%{version}.tbz

# Remove stdlib-shims downstream.  Not needed in Anolis.
Patch0001:      0001-Remove-stdlib-shims.patch

BuildRequires:  ocaml >= 4.04.0
BuildRequires:  ocaml-dune >= 1.11.0
BuildRequires:  ocaml-lwt-devel

# The ounit name is now just an alias for ounit2
Provides:       %{name}2 = %{version}-%{release}

%description
OUnit is a unit test framework for OCaml.  It allows one to easily create
unit-tests for OCaml code.  It is loosely based on HUnit, a unit testing
framework for Haskell.  It is similar to JUnit, and other xUnit testing
frameworks.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}2-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        lwt
Summary:        Helper functions for building Lwt tests using OUnit
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}2-lwt = %{version}-%{release}

%description    lwt
This package contains helper functions for building Lwt tests using
OUnit.

%package        lwt-devel
Summary:        Development files for %{name}-lwt
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-lwt = %{version}-%{release}
Requires:       ocaml-lwt-devel
Provides:       %{name}2-lwt-devel = %{version}-%{release}

%description    lwt-devel
The %{name}-lwt-devel package contains libraries and signature
files for developing applications that use %{name}-lwt.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n ounit-%{version} -p1

%build
%dune_build

%check
%dune_check

%install
%dune_install -s

%files -f .ofiles-ounit2
%license LICENSE.txt
%dir %{ocamldir}/ounit/
%{ocamldir}/ounit/META

%files devel -f .ofiles-ounit2-devel
%{ocamldir}/ounit/dune-package
%{ocamldir}/ounit/opam

%files lwt -f .ofiles-ounit2-lwt
%dir %{ocamldir}/ounit-lwt/
%{ocamldir}/ounit-lwt/META

%files lwt-devel -f .ofiles-ounit2-lwt-devel
%{ocamldir}/ounit-lwt/dune-package
%{ocamldir}/ounit-lwt/opam

%files doc
%doc CHANGES.md README.md

%changelog
* Wed Mar 22 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.2.6-1
- Init from upstream
